package eu.jonahbauer.wizard.common.messages.data;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(of = "uuid")
@ToString
public class PlayerData {
    /**
     * UUID of the player
     */
    private final UUID uuid;
    /**
     * Name of the player
     */
    private final String name;
    /**
     * Readiness state of the player
     */
    private final boolean ready;
}
